Compare commits

...

4 Commits

Author SHA1 Message Date
Taiki Endo
a6b28c31ef Release 2.18.2 2023-09-08 10:22:32 +09:00
Taiki Endo
09cf616b64 Update protoc@latest to 3.24.3 (#216) 2023-09-08 10:20:31 +09:00
Taiki Endo
2f6cd157e0 Simplify CI config 2023-09-05 23:14:31 +09:00
Taiki Endo
3660b253bf Update CI config 2023-09-05 23:05:37 +09:00
3 changed files with 36 additions and 15 deletions

View File

@@ -118,22 +118,16 @@ jobs:
apt-get -o Acquire::Retries=10 -qq update
apt-get -o Acquire::Retries=10 -o Dpkg::Use-Pty=0 install -y --no-install-recommends cargo
if: startsWith(matrix.container, 'ubuntu') || startsWith(matrix.container, 'debian')
- name: Install requirements (fedora/almalinux)
- name: Install requirements (fedora/almalinux/centos)
run: |
set -euxo pipefail
dnf=dnf
if ! type -P dnf &>/dev/null; then
dnf=microdnf
if ! type -P dnf &>/dev/null && type -P microdnf &>/dev/null; then
# tar and gzip are required for actions/checkout on *-minimal images
microdnf install -y tar gzip
fi
# tar and gzip are required for actions/checkout on almalinux:*-minimal
$dnf install -y cargo tar gzip
if: startsWith(matrix.container, 'fedora') || startsWith(matrix.container, 'almalinux')
- name: Install requirements (centos)
run: |
set -euxo pipefail
curl --proto '=https' --tlsv1.2 -sSf https://sh.rustup.rs | sh -s -- -y --profile minimal --default-toolchain stable
echo "$HOME/.cargo/bin" >>"${GITHUB_PATH}"
if: startsWith(matrix.container, 'centos')
if: startsWith(matrix.container, 'fedora') || startsWith(matrix.container, 'almalinux') || startsWith(matrix.container, 'centos')
- name: Install requirements (alpine)
run: |
set -eux

View File

@@ -10,6 +10,10 @@ Note: In this file, do not use the hard wrap in the middle of a sentence for com
## [Unreleased]
## [2.18.2] - 2023-09-08
- Update `protoc@latest` to 3.24.3.
## [2.18.1] - 2023-09-05
- Diagnostic improvements.
@@ -1169,7 +1173,8 @@ Note: This release is considered a breaking change because installing on version
Initial release
[Unreleased]: https://github.com/taiki-e/install-action/compare/v2.18.1...HEAD
[Unreleased]: https://github.com/taiki-e/install-action/compare/v2.18.2...HEAD
[2.18.2]: https://github.com/taiki-e/install-action/compare/v2.18.1...v2.18.2
[2.18.1]: https://github.com/taiki-e/install-action/compare/v2.18.0...v2.18.1
[2.18.0]: https://github.com/taiki-e/install-action/compare/v2.17.8...v2.18.0
[2.17.8]: https://github.com/taiki-e/install-action/compare/v2.17.7...v2.17.8

28
manifests/protoc.json generated
View File

@@ -2,13 +2,35 @@
"rust_crate": null,
"template": null,
"latest": {
"version": "3.24.2"
"version": "3.24.3"
},
"3": {
"version": "3.24.2"
"version": "3.24.3"
},
"3.24": {
"version": "3.24.2"
"version": "3.24.3"
},
"3.24.3": {
"x86_64_linux_gnu": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v24.3/protoc-24.3-linux-x86_64.zip",
"checksum": "fc793561283d9ea6813fb757ae54f1afea6770afcd930904bdf3e590910420aa"
},
"x86_64_macos": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v24.3/protoc-24.3-osx-x86_64.zip",
"checksum": "13b45cdcde9b2101e982de897d5490cfd81dfa181605749c23982379ba0e3288"
},
"x86_64_windows": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v24.3/protoc-24.3-win64.zip",
"checksum": "c8f8c87e2eb6ba1e45f1f0b7b6c17f129309fff421c04290e272de1f7defd8f1"
},
"aarch64_linux_gnu": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v24.3/protoc-24.3-linux-aarch_64.zip",
"checksum": "77a5a41f3e9712af6a35de13143b9b2b77f075aa1ab18a63cca4483b30f6e3cd"
},
"aarch64_macos": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v24.3/protoc-24.3-osx-aarch_64.zip",
"checksum": "cca53adb73a6686dd60bb3b0da33961e6b9dab1f833c851b5e1bb7b5df02b36f"
}
},
"3.24.2": {
"x86_64_linux_gnu": {